The requested resource [/api-explorer] is not available

cancel
Showing results for 
Search instead for 
Did you mean: 
Member II

The requested resource [/api-explorer] is not available

Hi, 

I am installing the alfresco community edition on my mac locally using the latest version distrbution.zip and have got the alfresco repository working and also have access to share and can log-in. However, when I click upon the Alfresco API Explorer I am met with the below error. 

 

Could anyone please advise on how I can get the alfresco API explorer working or what I have missed in my configuration? 

HTTP Status 404 – Not Found
Type Status Report

Message The requested resource [/api-explorer] is not available

Description The origin server did not find a current representation for the target resource or is not willing to disclose that one exists.

Apache Tomcat/8.5.57

 

 

1 Reply
Master

Re: The requested resource [/api-explorer] is not available

The Alfresco API Explorer is a separate WAR component that needs to be installed in addition to the WARs contained in the distribution ZIP. The link in the UI is just statically coded regardless whether the WAR is there or not. You can get the API Explorer WAR from the Alfresco artifact repository.